/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package kr.co.kihyun.service.vo;

import kr.co.kihyun.service.BaseService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 *
 * @author KWON.HAN
 */
public class ReportTotalVO {
    private static final Logger LOG = LoggerFactory.getLogger(BaseService.class);
    
    //테이블컬럼변수
    private Long docId;                    //집계문서 ID 
    
    private Long allCnt;                //전체-전체      
    private Long allOrganCnt;           //기관-전체
    private Long allGrade1Cnt;          //유치원-전체
    private Long allGrade2Cnt;          //초등학교-전체
    private Long allGrade3Cnt;          //중학교-전체
    private Long allGrade4Cnt;          //고등학교-전체
    private Long allGrade5Cnt;          //기타학교-전체
    
    private Long totReportCnt;          //전체-제출완료
    private Long organReportCnt;        //기관-제출완료
    private Long grade1ReportCnt;       //유치원-제출완료
    private Long grade2ReportCnt;       //초등학교-제출완료
    private Long grade3ReportCnt;       //중학교-제출완료
    private Long grade4ReportCnt;       //고등학교-제출완료
    private Long grade5ReportCnt;       //기타학교-제출완료

    public Long getDocId() {
        return docId;
    }

    public void setDocId(Long docId) {
        this.docId = docId;
    }

    public Long getAllCnt() {
        return allCnt;
    }

    public void setAllCnt(Long allCnt) {
        this.allCnt = allCnt;
    }

    public Long getAllOrganCnt() {
        return allOrganCnt;
    }

    public void setAllOrganCnt(Long allOrganCnt) {
        this.allOrganCnt = allOrganCnt;
    }

    public Long getAllGrade1Cnt() {
        return allGrade1Cnt;
    }

    public void setAllGrade1Cnt(Long allGrade1Cnt) {
        this.allGrade1Cnt = allGrade1Cnt;
    }

    public Long getAllGrade2Cnt() {
        return allGrade2Cnt;
    }

    public void setAllGrade2Cnt(Long allGrade2Cnt) {
        this.allGrade2Cnt = allGrade2Cnt;
    }

    public Long getAllGrade3Cnt() {
        return allGrade3Cnt;
    }

    public void setAllGrade3Cnt(Long allGrade3Cnt) {
        this.allGrade3Cnt = allGrade3Cnt;
    }

    public Long getAllGrade4Cnt() {
        return allGrade4Cnt;
    }

    public void setAllGrade4Cnt(Long allGrade4Cnt) {
        this.allGrade4Cnt = allGrade4Cnt;
    }

    public Long getTotReportCnt() {
        return totReportCnt;
    }

    public void setTotReportCnt(Long totReportCnt) {
        this.totReportCnt = totReportCnt;
    }

    public Long getOrganReportCnt() {
        return organReportCnt;
    }

    public void setOrganReportCnt(Long organReportCnt) {
        this.organReportCnt = organReportCnt;
    }

    public Long getGrade1ReportCnt() {
        return grade1ReportCnt;
    }

    public void setGrade1ReportCnt(Long grade1ReportCnt) {
        this.grade1ReportCnt = grade1ReportCnt;
    }

    public Long getGrade2ReportCnt() {
        return grade2ReportCnt;
    }

    public void setGrade2ReportCnt(Long grade2ReportCnt) {
        this.grade2ReportCnt = grade2ReportCnt;
    }

    public Long getGrade3ReportCnt() {
        return grade3ReportCnt;
    }

    public void setGrade3ReportCnt(Long grade3ReportCnt) {
        this.grade3ReportCnt = grade3ReportCnt;
    }

    public Long getGrade4ReportCnt() {
        return grade4ReportCnt;
    }

    public void setGrade4ReportCnt(Long grade4ReportCnt) {
        this.grade4ReportCnt = grade4ReportCnt;
    }

    public Long getAllGrade5Cnt() {
        return allGrade5Cnt;
    }

    public void setAllGrade5Cnt(Long allGrade5Cnt) {
        this.allGrade5Cnt = allGrade5Cnt;
    }

    public Long getGrade5ReportCnt() {
        return grade5ReportCnt;
    }

    public void setGrade5ReportCnt(Long grade5ReportCnt) {
        this.grade5ReportCnt = grade5ReportCnt;
    }

}
